Skip to content
POST /synthetic-tool/{id}/execute

Path Parameters

idstring
required·

Resource id

Request Body

argumentsRecord<string, any>
curl -X POST 'https://api.elaichi.ai/synthetic-tool/<id>/execute' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"arguments":{}}'
const body = {
  "arguments": {}
};

const response = await fetch('https://api.elaichi.ai/synthetic-tool/<id>/execute', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/synthetic-tool/<id>/execute"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "arguments": {}
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())